<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS Introduction</title>
	<!-- Internal CSS

	We can apply style to multiple elements with the same tag or multiple elements as we selected.

	This style from internal css can only affect the elements where the internal css is added 

	

	-->
<!-- EXTERNAL CSS IS THE BEST practice for styling -->
	<link rel="stylesheet" type="text/css" href="./style.css">

	<!-- <style type ="text/css">
		h1{
			color: pink;
			background-color: gray;
		}
	</style> -->
	




</head>
<body>
	
	<!-- The style attribue changes the styling properties of an element. This implementation of style is what we call INLINE STYLING*/

	The value of style attribute are the properties of the element
	The values before the colon (:) are the element's properties. The values after the colon are the values we would like to assign to our property 

	<tag style="property:value;">text</tag>

	Multiple properties can be changed or assigned in our inline-style

	Inline styling can become bulky, erratic 
	
	inline styling is specific to the tag it is attached

	inline style is given more priority over internal style. Wherein the properties set with inline overrides the properties set via internal style-->


<!-- 
	Inline Style Sample:
	<h1 style="color: red !;font-size:100px;">Hello World</h1> -->
	<nav id="top">
		<a href="#landing">Zuitt</a>
		<div>
			<a href="#landing">Landing</a>
			<a href="#register">Register</a>
		</div>
	</nav>
	<h1>Hellow World!</h1>
	<section id="landing">
	<h2>Welcome to Zuitt!</h2>
	<h3 style="letter-spacing:  30px;" id="zuitt-motto" > Opportunities for Everyone, Everywhere! </h3>
	
	<img src="https://place-puppy.com/450x450">
	<ol id="bootcamp-learning-list">
		<!-- class can be used to add stylings to elements with the same class. Unlike Id,  -->
		<li class="offering-item">Day Classes</li>
		<li class="offering-item">Night Classes</li>
		<li class="offering-item">Intro to Coding Events</li>			
	</ol>
	<a href="#top">Back to Top</a>
</section>
<section id="register">
	<h2>Register</h2>
	<form>
		<label for="first-name">First Name:</label>
		<input type="text" name="first-name" id="first-name" required autocomplete>
		<label for="last-name">Last Name:</label>
		<input type="text" name="last-name" id="last-name" required autocomplete>
		<label for="email">Email:</label>
		<input type="email" name="email" id="email" required autocomplete>
		<label for="password">Password:</label>
		<input type="password" name="password" id="password" required autocomplete>
	
		<button type="submit">Apply Now</button>

	</form>



	<a href="#top">Back to Top</a>


</section>

</body>
</html>